<?php
ini_set('display_errors', 1);
require_once './Control/ControlMedia.php';
require_once './Util/formAjax/FormAjax.php';
//require_once './Util/Imagem.php';
extract($_POST);
//echo print_r($_POST, true);	
$controlMedia = new ControlMedia();
if ($acao == 'inserir')
{
	$tipoMedia = new Tipomedia();
} else
{
	$tipoMedia = $controlMedia->pegarUmTipomedia($pk);
}
if ($acao != 'excluir')
{
    $tipoMedia->lang = $lang;
    $tipoMedia->sNome(stripslashes($txtNome));
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlMedia->salvarTipomedia($tipoMedia);
                    break;
            case 'inserir':
                    $retorno = $controlMedia->salvarTipomedia($tipoMedia);
                    $acao = 'alterar';
                    $tipoMedia->find(true);
                    $pk = $tipoMedia->getTipomediaid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlArtigo->excluirArtigotipo($tipoMedia);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#tipoMediaID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}

?>